import * as unplugin from 'unplugin';
import { Options } from './types.cjs';
import * as ts from 'typescript/lib/tsserverlibrary';
import ts__default from 'typescript/lib/tsserverlibrary';
import * as vue from '@vue/language-core';

declare function createLanguage(tsconfigPath: string, ts?: typeof ts): {
    updateFile(fileName: string, text: string): void;
    deleteFile(fileName: string): void;
    reload(): void;
    clearCache(): void;
    findNode: (filepath: string, filter: (ranges: vue.ScriptSetupRanges) => vue.TextRange | undefined) => {
        virtualFileNode: ts__default.Node;
        scriptNode: ts__default.Node;
        setupRange: vue.TextRange;
        scriptSetupAst: ts__default.SourceFile;
        virtualFileAst: ts__default.SourceFile;
        offset: number;
    } | undefined;
    __internal__: {
        tsLs: ts__default.LanguageService;
        program: ts__default.Program;
        typeChecker: ts__default.TypeChecker;
    };
};
type Language = ReturnType<typeof createLanguage>;
declare function ensureLanguage(tsconfigPath: string): void;
declare function getLanguage(): Language;

declare const _default: unplugin.UnpluginInstance<Options | undefined, boolean>;

export { _default as default, ensureLanguage, getLanguage };
