'use strict';

const kit = require('@nuxt/kit');
const vite = require('./vite.cjs');
const webpack = require('./webpack.cjs');
require('./index.cjs');
require('unplugin');
require('node:module');
require('node:path');
require('@volar/typescript');
require('@vue/language-core');
require('magic-string');
require('typescript');

const name = "unplugin-vue-complex-types";
const version = "0.3.0";

const nuxt = kit.defineNuxtModule({
  meta: {
    name,
    version,
    configKey: "complexTypes",
    compatibility: {
      bridge: true
    }
  },
  defaults: {
    tsconfigPath: "tsconfig.json"
  },
  setup(options) {
    kit.addVitePlugin(vite(options));
    kit.addWebpackPlugin(webpack(options));
  }
});

module.exports = nuxt;
