import { defineNuxtModule, addVitePlugin, addWebpackPlugin } from '@nuxt/kit';
import VitePlugin from './vite.mjs';
import WebpackPlugin from './webpack.mjs';
import './index.mjs';
import 'unplugin';
import 'node:module';
import 'node:path';
import '@volar/typescript';
import '@vue/language-core';
import 'magic-string';
import 'typescript';

const name = "unplugin-vue-complex-types";
const version = "0.3.0";

const nuxt = defineNuxtModule({
  meta: {
    name,
    version,
    configKey: "complexTypes",
    compatibility: {
      bridge: true
    }
  },
  defaults: {
    tsconfigPath: "tsconfig.json"
  },
  setup(options) {
    addVitePlugin(VitePlugin(options));
    addWebpackPlugin(WebpackPlugin(options));
  }
});

export { nuxt as default };
